<template>
  <div class="row" v-scroll="scrolled">
    <!--    banner iklan Mobile-->
    <div class="col-md-9 col-sm-12 col-xs-12 mobile-only">
      <q-carousel
        id="image1"
        style="margin: 15px auto 10px auto; width: 95%; height: 150px !important;"
        animated
        v-model="slide"
        infinite
        :autoplay="autoplay"
        arrows
        transition-prev="slide-right"
        transition-next="slide-left"
        @mouseenter="autoplay = false"
        @mouseleave="autoplay = true"
      >
        <q-carousel-slide style="background-size: 100% 100%" :name="1" img-src="~assets/besikayu.jpg" />
        <q-carousel-slide style="background-size: 100% 100%" :name="2" img-src="~assets/semenjarkons.jpg" />
        <q-carousel-slide style="background-size: 100% 100%" :name="3" img-src="~assets/kontraktorjarkons.jpg" />
      </q-carousel>
    </div>
<!--    menu kategori-->
    <div class="row q-pa-md mobile-only flex-center" style="padding: 0">
      <div class="buttonkategorimobile" v-for="kategori in category" @click="goToRoute(`c/m/${kategori.category}`)">
        <q-img :src="kategori.img_mobile" class="imgkategorimobile"/>
        <div>{{ kategori.category }}</div>
      </div>
    </div>
    <div class="q-pa-md col-md-3 col-sm-12 col-xs-12 desktop-only">
      <q-toolbar class="bg-primary text-white shadow-2">
        <q-toolbar-title class="text-weight-bolder" style="text-align: center">Kategori</q-toolbar-title>
      </q-toolbar>
      <q-virtual-scroll
        scroll-target="#virtual-scroll-target"
        :items="heavyList"
        separator
      >
      <q-list bordered id="virtual-scroll-target" class="scroll" style="max-height: 210px">
        <div v-for="kategori in category" >
          <q-btn flat clickable v-ripple class="kategorilist" :to="`c/${kategori.category}`">
            <q-item-section avatar style="max-height: 35px">
              <q-avatar rounded size="25px">
                <img :src="kategori.img_web">
              </q-avatar>
            </q-item-section>
            <q-item-section>
              <q-item-label style="text-align: left">{{ kategori.category }}</q-item-label>
              <q-menu
                  ref="autoclosescroll1"
                  anchor="top right"
                  self="top left"
              >
                <div class="row no-wrap">
                  <div class="column">
                    <div class="text-h6">
                      lorem1
                    </div>
                  </div>
                  <q-separator vertical inset class="q-mx-lg"/>

                  <div class="column">
                    <div class="text-h6">
                      lorem2
                    </div>
                  </div>
                </div>
              </q-menu>
            </q-item-section>
          </q-btn>
        </div>

      </q-list>
      </q-virtual-scroll>
    </div>
<!--    banner iklan dekstop-->
    <div class="col-md-9 col-sm-12 col-xs-12 desktop-only" >
      <q-carousel
        id="image1"
        style="margin: 15px auto 10px auto; height: 260px;"
        animated
        v-model="slide"
        infinite
        :autoplay="autoplay"
        arrows
        transition-prev="slide-right"
        transition-next="slide-left"
        @mouseenter="autoplay = false"
        @mouseleave="autoplay = true"
      >
        <q-carousel-slide style="background-size: 100% 100%" :name="1" img-src="~assets/besikayu.jpg" />
        <q-carousel-slide style="background-size: 100% 100%" :name="2" img-src="~assets/semenjarkons.jpg" />
        <q-carousel-slide style="background-size: 100% 100%" :name="3" img-src="~assets/kontraktorjarkons.jpg" />
      </q-carousel>
    </div>
  </div>
</template>

<script>
const maxSize = 1
const heavyList = []

for (let i = 0; i < maxSize; i++) {
  heavyList.push({
    label: 'Option ' + (i + 1)
  })
}

Object.freeze(heavyList)

export default {
  name: 'HomeKategori',
  data () {
    return {
      heavyList,
      slide: 1,
      autoplay: true,
      mobileData: true,
      bluetooth: false,
      category: null,
      banners: null
    }
  },
  beforeMount() {
    this.getCategory()
  },
  methods: {
    scrolled (position) {
      this.$refs.autoclosescroll1.hide(),
      this.$refs.autoclosescroll2.hide(),
      this.$refs.autoclosescroll3.hide(),
      this.$refs.autoclosescroll4.hide(),
      this.$refs.autoclosescroll5.hide(),
      this.$refs.autoclosescroll6.hide()
    },
    getCategory() {
      this.$q.loading.show()
      this.$axios.get("/api/category/menu")
          .then(sukses => {
            this.category = sukses.data
            let hasil = []
            sukses.data.forEach(function (data) {
              let x = {
                title: data.category,
                content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sit amet fringilla ante. Quisque at ipsum non lacus consequat dictum.',
                image: data.img_web,
                image_mobile: data.img_mobile
              };
              hasil.push(x)
            })
            this.items = hasil
          })
    },
    goToRoute(target) {
      this.$router.push(target)
    },
    goToUrl (target) {
      window.location.href = target
    }
  }
}
</script>

<style lang="scss" scoped>

.buttonkategorimobile {
  text-align: center;
  margin: 13px 7px 15px 3px;
  height: 65px;
  width: 65px;
  cursor: pointer;
}

.imgkategorimobile {
  height: 50px;
  width: 50px;
  object-fit: cover;
}

.kategorilist { ;
  height: 35px;
  width: 100%;
  color: black;
  background-color: #f7f7f7;
  }

.kategorilist1 { ;
  height: 35px;
  width: 100%;
  color: black;
  background-color: #c4c4c4;
}

.subkategori { ;
  width: 100px;
  margin: 10px 10px 10px 10px;

}


.absolute-sm {
  @media screen and (min-width: 0px) and (max-width: 991px) {

    position: absolute;
    z-index: -1;
  }
}

.absolute-sm-text {
  margin-top: 30px;
  margin-left: 50px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 15px;
    margin-left: 25px;
  }
}



.absolute-sm-img {
  width: 90%;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 67%;
    margin-bottom: 80px;
  }
}

.sm-img-scroll {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    min-width: 300px;
  }
}

#buton1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    transform: scale(0.7);
    margin-left: -40px;
    margin-top: -15px!important;
  }
}

#image1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
   height: 230px!important;
  }
}


</style>

